Method: caseStageDefinitions.patch

Full name: projects.locations.instances.caseStageDefinitions.patch

Updates an existing CaseStageDefinition. Use this method to modify the name or priority of a stage. The updated order value must still be unique within the instance.

HTTP request


PATCH https://chronicle.africa-south1.rep.googleapis.com/v1alpha/{caseStageDefinition.name}

Path parameters

Parameters
caseStageDefinition.name

string

Identifier. The resource name of the CaseStageDefinition. Format: projects/{project}/locations/{location}/instances/{instance}/caseStageDefinitions/{caseStageDefinition}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. If not included, all fields with a non-empty value will be overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of CaseStageDefinition.

Response body

If successful, the response body contains an instance of CaseStageDefinition.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.caseStageDefinitions.update

For more information, see the IAM documentation.